package com.ibtp.kontor.library.dal;

import com.ibtp.kontor.library.entity.BookEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by tpeetz on 23.01.2015.
 */
interface BookDao {

    public BookEntity getById(Long id);

    public Collection<BookEntity> findByIds(List<Long> ids);

    public Collection<BookEntity> findByName(String name);

    public BookEntity store(BookEntity entity);

    public void delete(BookEntity entity);
}
